<?php
/**
 * MySQL Database Table Backup
 *--------------------------------------------------------------------------------------------
 * based on :
 *   PHP-X-Links - "a simple link repository"
 *   https://68.97.138.88/
 *   Copyright (C) 2003  Jesse Waite
 *  
 *   X-Link-Indexer
 *   A simple links page management system.
 *   Copyright (C) 2003 nakamuxu.
 *
 *   PhpMyAdmin 2.5.5-pl1
 *   http://www.phpmyadmin.net/
 *   Copyright (C) phpMyAdmin devel team
 *
 *--------------------------------------------------------------------------------------------
 * $Id: db_backup.php, 2004/02/10 13:50:28 Exp $
 */

$cd = '..';
require_once $cd . '/include/config.inc.php';
require_once $cd . '/include/fnc_error_msgs.inc.php';
require_once $cd . '/include/http_headers.inc.php';
require_once './include/fnc_admin.inc.php';

// time format
$date_fname_format = "ymd-Hi";

//$time_start = time();

/**
 * dbDump()
 * database dump
 * 
 * @param array $tables 
 * @return 
 */

function dbDump($tables, $onfly_comp = TRUE) {
    global $dbname, $host;

	$time_start = time();
	if ($onfly_comp) {
		$mem_lim = trim(@ini_get('memory_limit'));
		// memory limit default = 2MB
		if (empty($mem_lim)) {
		    $mem_lim = 2 * 1024 * 1024;
		}
		if (strtolower(substr($mem_lim, -1)) == 'm') {
		    $mem_lim = (int)substr($mem_lim, 0, -1) * 1024 * 1024;
		} elseif (strtolower(substr($mem_lim, -1)) == 'k') {
		    $mem_lim = (int)substr($mem_lim, 0, -1) * 1024;
		} elseif (strtolower(substr($mem_lim, -1)) == 'g') { 
		    $mem_lim = (int)substr($mem_lim, 0, -1) * 1024 * 1024 * 1024;
		} else {
		    $mem_lim = (int)$mem_lim;
		}
	} else {
		$mem_lim = 0;
	}
	
    if ($mem_lim > 1500000) {
        $mem_lim -= 1500000;
    }
    
    // Needed memory for compression, assume 1/3
    $mem_lim *= 2/3;
    $buffer = '';
	$buffer_len = 0;
    $lines = "# P_BLOG SQL dump\n# Version : " . P_BLOG_VERSION . "\n"
			. "#\n# Created by J. Waite for Php-X-Links\n"
			. "# Modified by nakamuxu for X-Link-Indexer\n"
		    . "# Modified by kaz for P_BLOG"
			. "\n#\n# Host: "  . $host
			. "\n# PHP version: " . phpversion()
			. "\n# Zend engine version: ".zend_version()
			. "\n#\n# Database: " . $dbname
			. "\n# Created: "  . date("Y-m-d H:i:s")
			. "\n#\n";

	$search = array("\x00", "\x0a", "\x0d", "\x1a");
	$replace = array('\0', '\n', '\r', '\Z');

	for ($i = 0; $i < count($tables); $i++) {
		$lines .= "\n#-------------------------------\n";
        $lines .= "\n#\n# Table structure for `" . $tables[$i] . "`\n#\n";
        $result = mysql_query("SHOW CREATE TABLE " . $tables[$i]) or die(mysql_error());
        while ($row = mysql_fetch_array($result)) {
            $lines .= "DROP TABLE IF EXISTS `" . $tables[$i] . "`;\n";
            $lines .= $row['Create Table'];
            $lines .= ";\n";
            $query = mysql_query("SELECT * FROM " . $tables[$i]);
            $num = mysql_num_rows($query);
            if ($num > 0) {
                $lines .= "\n#\n# Dumping data for table `" . $tables[$i] . "`\n# Records: " . $num . "\n#\n";
                //$lines .= "LOCK TABLES `" . $tables[$i] . "` WRITE;\n";
                $lines .= "INSERT INTO `" . $tables[$i] . "` VALUES ";
                $n = 1;
                while ($r = mysql_fetch_array($query)) {
                    $lines .= "(";
                    $count = (count($r) / 2);
                    for ($x = 0; $x < $count; $x++) {
						$r[$x] = str_replace($search, $replace, addslashes($r[$x]));
                        $lines .= (is_numeric($r[$x])) ? $r[$x]: "'" . $r[$x] . "'";
                        $lines .= ($x != ($count - 1)) ? ',': '';
                    } 
                    $lines .= ')';
                    $lines .= ($n < $num) ? ",\n": ";\n";
					$buffer .= $lines;
					$buffer_len .= strlen($lines);
					$lines = '';
					if ($onfly_comp) {
							if ($buffer_len > $mem_lim) {
							echo gzencode($buffer);
							$buffer = '';
							$buffer_len = 0;
						}
					} else {
						$time_now = time();
						if ($time_start >= $time_now + 30) {
							$time_start = $time_now;
							header('X-P_BLOG-Ping: Pong');
						}
					}
                    $n++;
                }
            }
        }
    }
	echo gzencode($buffer);
	unset($buffer);
	unset($lines);
} 

// if posted
if ($use_session_db == 'yes') {
    require_once './db_session.php';
} else {
    session_name($p_blog_sess_name);
    session_start();
}

$error_div = <<<EOD
</div>
<div class="wide-content">
<p><a href="../{$admin_dir_name}/login.php" class="title">{$lang['admin']} TOP</a>&nbsp;&nbsp;&gt;&nbsp;&nbsp;{$lang['system_admin']}</p>
<h1>Oops!</h1>
<p>{$lang['choose_table']}</p>
EOD;

if (isset($_SESSION['admin_login'], $_SESSION['user_name'], $_SESSION['user_pass'])) {
    $sql = "SELECT user_id FROM p_blog_user WHERE user_pass = '". $_SESSION['user_pass'] ."' AND user_name = '". $_SESSION['user_name'] ."' LIMIT 1";
    $res = mysql_query($sql);
    $row = mysql_num_rows($res);
    if ($row != 0) {
		if (isset($_REQUEST['tables'])) {
			$date = date($date_fname_format);
			header('Content-type: application/x-download');
			//header('Content-type: application/octet-stream');
			header('Expires: ' . gmdate('D, d M Y H:i:s') . ' GMT');
			if (preg_match('@MSIE ([0-9].[0-9]{1,2})@', $_SERVER['HTTP_USER_AGENT'])) {
				header('Content-Disposition: inline; filename="' . $dbname . '-' . $date . '.sql.gz');
				header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
				header('Pragma: public');
			} else {
				header('Content-Disposition: attachment; filename=' . $dbname . '-' . $date . '.sql.gz');
				header('Pragma: no-cache');
			}
			dbDump($_REQUEST['tables']);
			die();
        } else {
            // XHTML Header
            display_header();
            echo $error_div;
            display_login_sysadmin();
            footer();
        }
    } else {
        die('<h1>Oops!</h1>');
    }
} else {
    die('<h1>Oops!</h1>');
}
?>