<?php
/**
 * Functions of P_ANAMA (Access Analyzer)
 *
 * $Id: functions.php, 2004/04/26 00:26:08 Exp $
 */


/**
 * Date Selector Form
 */
function display_form($post_password, $post_username, $default_year, $default_month, $default_date) {
    global $lang, $admin_dir_name, $blog_title;
    echo <<<EOD
<form method="post" action="./index.php">
<fieldset id="analyze-date">
{$lang['year']} : 
<select name="y" tabindex="1">
<option value="total">{$lang['total']}</option>
EOD;
    for ($i=2003; $i<=2010; $i++) {
         echo '<option value="'.$i.'"'; 
         echo ($i == $default_year) ? ' selected="selected"' : ""; 
         echo '>'.$i.'</option>'."\n"; 
    }
       echo <<<EOD
</select>
{$lang['month']} : 
<select name="m" tabindex="2">
<option value="total">{$lang['total']}</option>
EOD;
    for ($i=1; $i<=12; $i++) {
        $val = sprintf("%02d",$i);
        echo '<option value="'.$val.'"';
        echo ($val == $default_month) ? ' selected="selected"' : "";
        echo '>'.$val.'</option>'."\n"; 
    }
    echo <<<EOD
</select>
{$lang['day']} : 
<select name="d" tabindex="3">
<option value="total">{$lang['total']}</option>
EOD;
    for ($i=1; $i<=31; $i++) {
        $val = sprintf("%02d",$i);
        echo '<option value="'.$val.'"';
        echo ($val == $default_date) ? ' selected="selected"' : "";
        echo '>'.$val.'</option>'."\n"; 
    }
    echo <<<EOD
</select>
<input type="hidden" name="post_password" value="$post_password" />
<input type="hidden" name="post_username" value="$post_username" />
<input type="submit" tabindex="4" accesskey="g" value="GO" />
</fieldset>
</form>
</div>
<!-- analyzer-content-box -->
<div class="wide-content">
<p class="flip-menu">
<a href="../{$admin_dir_name}/admin_top.php" class="title">{$lang['admin']} TOP</a>
<span class="cur-tab">{$blog_title} {$lang['analyze']}</span>
</p>
<hr />
EOD;
}



/**
 * Show Log-in Succes Messages
 */
function display_login_success($xml_lang) {
    global $lang;
    if ($xml_lang == 'en' || $xml_lang != 'ja') {
        echo '<h3>'.$lang['login_user'].' : '.$_SESSION['user_name'].'</h3>'.
             '<p>Choose Year, Month, Date and then click the "GO" button to Analyze.<br />'.
             'To view the TOTAL, just click the "GO".</p>';
    } elseif ($xml_lang == 'ja') {
        echo '<h3>'.$lang['login_user'].' : '.$_SESSION['user_name'].'</h3>'.             
             '<p>解析する年、月、日を選択し、「GO」ボタンをクリックして下さい。<br />'.
             'トータルを統計する場合はそのまま「GO」をクリックします。</p>';
    }
}


/**
 * Display Analyze Results
 */
function display_body($hitrow, $date_result) {
    global $lang, $graph_1, $graph_2, $graph_3, $graph_4, $graph_5, $graph_6, $graph_7,
           $use_download_counter, $graph_8;
    echo <<<EOD
<h2>$hitrow Hits on $date_result</h2>
<ul>
<li><a href="#hits-per-hour">{$lang['hits_per_hour']}</a></li>
<li><a href="#remote-host">{$lang['remote_host']}</a></li>
<li><a href="#user-agent">{$lang['user_agent']}</a></li>
<li><a href="#referer">{$lang['referer']}</a></li>
<li><a href="#daily">{$lang['daily']}</a></li>
<li><a href="#monthly">{$lang['monthly']}</a></li>
<li><a href="#yearly">{$lang['yearly']}</a></li>
EOD;
    if ($use_download_counter == 'yes') {
        echo "\n".'<li><a href="#downloads">'.$lang['downloads']."</a></li>\n";
    }
    echo <<<EOD
</ul>
<hr />
<h3 id="hits-per-hour">{$lang['hits_per_hour']}</h3>
<table summary="Hits per hour" class="vertical-graph">
$graph_1
<br />
<h3 id="remote-host">{$lang['remote_host']}</h3>
<table summary="Remote Host" class="horizontal-graph">
<tr>
<th abbr="Hosts">Hosts</th><th abbr="Hits" class="hits">%</th><th abbr="Result" class="result">Results</th>
</tr>
$graph_2
<br />
<h3 id="user-agent">{$lang['user_agent']}</h3>
<table summary="User Agent" class="horizontal-graph">
<tr>
<th abbr="Browser&amp;OS">Browser &amp; OS Info</th><th abbr="Hits" class="hits">%</th><th abbr="Result" class="result">Results</th>
</tr>
$graph_3
<br />
<h3 id="referer">{$lang['referer']}</h3>
<table summary="Referer" class="horizontal-graph">
<tr>
<th abbr="Referer">Referer</th><th abbr="Hits" class="hits">%</th><th abbr="Result">Results</th>
</tr>
$graph_4
<hr />
<h2>TOTALS</h2>
<h3 id="daily">{$lang['daily']}</h3>
<table summary="Total" class="horizontal-graph">
<tr>
<th abbr="Date">DATE</th><th abbr="Result" class="result">Results</th>
</tr>
$graph_5
<h3 id="monthly">{$lang['monthly']}</h3>
<table summary="Monthly hits" class="horizontal-graph">
<tr>
<th abbr="Month">MONTH</th><th abbr="Result" class="result">Results</th>
</tr>
$graph_6
<h3 id="yearly">{$lang['yearly']}</h3>
<table summary="Yearly hits" class="horizontal-graph">
<tr>
<th abbr="Year">YEAR</th><th abbr="Result" class="result">Results</th>
</tr>
$graph_7
EOD;
    if ($use_download_counter == 'yes') {
        echo <<<EOD
<br />
<hr />
<h3 id="downloads">{$lang['downloads']}</h3>
<table summary="Downloads" class="horizontal-graph">
<tr>
<th abbr="File">FILE</th><th abbr="Result" class="result">Results</th>
</tr>
$graph_8
EOD;
    }
}


/**
 * Error Message for Direct Access
 */
function display_body_default() {
    global $lang, $admin_dir_name;
    echo '</div>'.
         '<div class="wide-content">'.
         '<h2>Ooops. '.$lang['wrong_user']."</h2>\n";
}



/**
 * Archive Compressor Form
 */
function display_comp_form($post_password, $post_username, $xml_lang) {
global $lang;
echo "\n<hr />\n".
     "<h2>COMPRESS LOGS</h2>\n";
    if ($xml_lang == 'en' || $xml_lang != 'ja') {
        echo "<h3>COMPRESS PAST ACCESS LOGS</h3>\n".
             "<p>Enter year and month to optimize and click the button. </p>\n".
             "<p><strong>WARNING : PLEASE USE THIS BUTTON WITH CARE.</strong><br />\n".
             "This button empties the referer, user_agent, IP data and optimize the database table.<br />\n".
             "Please push this at your own risk.</p>\n";
    } elseif ($xml_lang == 'ja') {
        echo "<h3>指定月のアクセスログデータを圧縮します。</h3>".
             "<p>データの圧縮をしたい年月を入力し、削除ボタンを押して下さい。</p>\n".
             '<p><strong><span class="red">※警告</span> : 使用上の注意</strong><br />'."\n".
             'このボタンは、ブラウザ、IP、リファラー記録を空にし、データベーステーブルの最適化処理を行います。<br />'.
             '圧縮した月は月別・年別のアクセス数のみ統計されるようになり、各日別のブラウザやIP、リファラーの個別記録表示は出来なくなります。</p>'."\n";
    }
echo <<<EOD
<form method="post" action="./index.php">
<table summary="Compress Logs">
<tr>
<td>
<input type="hidden" name="post_username" value="" />
<input type="hidden" name="post_password" value="" />
</td>
</tr>
<tr><th abbr="Date to compress">
EOD;
    if ($xml_lang == 'en' || $xml_lang != 'ja') {
        echo<<<EOD
Month to optimize &nbsp;:&nbsp;
</th><td>
Year : <input tabindex="5" accesskey="y" type="text" name="comp_year" size="4" value="" /> 
Month : <input tabindex="5" accesskey="m" type="text" name="comp_month" size="2" value="" />
</td></tr>
<tr><td colspan="2">
<input type="submit" value="Compress!" />
EOD;
    } else {
        echo<<<EOD
圧縮する年月 &nbsp;:&nbsp;
</th><td>
<input accesskey="y" tabindex="5" type="text" name="comp_year" size="4" value="" />年
<input accesskey="m" tabindex="5" type="text" name="comp_month" size="2" value="" />月
</td></tr>
<tr><td colspan="2">
<input accesskey="g" tabindex="5" type="submit" value="&nbsp;&nbsp;&nbsp;圧縮&nbsp;&nbsp;&nbsp;" />
EOD;
    }
echo <<<EOD
</td></tr>
</table>
</form>
EOD;
}


/**
 * Delete All Logs Form
 */
function display_del_form($post_password, $post_username, $xml_lang, $del_magic_words) {
global $lang;
echo "\n<hr />\n".
     "<h2>DELETE LOGS</h2>\n";
    if ($xml_lang == 'en' || $xml_lang != 'ja') {
        echo "<h3>DELETE ALL LOGS with magic words</h3>\n".
             "<p>Enter the magic words and click the button. </p>\n".
             "<p><strong>WARNING : PLEASE USE THIS BUTTON WITH CARE.</strong><br />\n".
             "This button empties your log table. Yes, This button is very dangerous.<br />\n".
             "Please push this at your own risk.</p>\n";
    } elseif ($xml_lang == 'ja') {
        echo "<h3>全てのアクセスログを削除します。</h3>".
             "<p>マジックワードを入力し、削除ボタンを押して下さい。</p>".
             "<p><strong><span class=\"r\">※警告</span> : 使用上の注意</strong><br />\n".
             "このボタンは、テーブル内のデータを全て空にします。(空になるのはデータのみで、テーブルは削除されません。)<br />".
             "データベースを初期状態(空)に戻したい場合のみ、自己責任でご使用下さい。</p>\n";
    }
echo <<<EOD
<form method="post" action="{$_SERVER['PHP_SELF']}">
<table summary="Delete">
<tr>
<td>
<input type="hidden" name="post_username" value="" />
<input type="hidden" name="post_password" value="" />
</td>
</tr>
<tr><th abbr="Magic Word">
{$lang['magic_words']} &nbsp;:&nbsp;
</th><td>
<input tabindex="6" accesskey="m" type="text" name="del" value="" />
</td></tr>
<tr><td colspan="2">
<input tabindex="6" accesskey="d" type="submit" value="&nbsp;&nbsp;{$lang['del_all_logs']}&nbsp;&nbsp;" />
</td></tr>
</table>
</form>
EOD;
}


/**
 * P_ANAMA (Access Analyzer) Footer
 */
function display_analyzer_footer() {
echo "\n<hr />\n".
     "<address>\n".
     "Powered by ".$_SERVER['SERVER_SOFTWARE']." &amp; MySQL-".mysql_get_server_info()." running on ".PHP_OS.".<br />\n".
     "Powered by ".P_BLOG_VERSION."<br />\n".
     "</div>\n</body>\n</html>";
}


// Deny access to this file
if (stristr($_SERVER['PHP_SELF'], ".inc.php")) {
	die("Hello, World! This is an include file.");
}
?>
