<h1><?= P_BLOG_VERSION ?> Manual</h1>
<hr />
<p class="flip-menu">
 <a href="./index.php">TOP</a> <a href="./index.php?id=en_00">INDEX</a> <span class="cur-tab">CUSTOMIZE YOUR &quot;VARS&quot; PAGE</span></p>
<hr />
<h2>CUSTOMIZE YOUR &quot;VARS&quot; PAGE</h2>
<h3>What's &quot;VARS&quot; page?</h3>
<p>&quot;VARS&quot; page is a &quot;VARIABLE&quot; page.  You can add more pages and expand your contents easily by adding TEXT files, include files, HTML files and PHP program files.</p>
<h3>How &quot;var/index.php&quot; works</h3>
<p>&quot;var/index.php&quot; is the PHP script to load text files or execute PHP program files stored in &quot;contents&quot; directory.</p>
<div class="command">
<pre><span class="blue">Here's an example↓

var/index.php
   /contents/foo.inc.php
            /foo.txt
            /foo.php
            /foo.inc
            /sys_info.inc.php</span></pre>
</div>
<p>Loadable file formats are (ordered by priority) : </p>
<ol>
<li>PHP file with <span class="red"><strong>&quot; .inc.php&quot; </strong></span></li>
<li>PHP file with <span class="red"><strong>&quot; .php&quot; </strong></span></li>
<li>include file with <span class="red"><strong>&quot; .inc&quot; </strong></span></li>
<li>HTML file with <span class="red"><strong>&quot; .html&quot; </strong></span><br />
(<span class="red">NOTE</span>：WITHOUT XHTML header and footer)</li>
<li>Pre formatted TEXT file with<span class="red"><strong>&quot; .txt&quot; </strong></span></li>
</ol>
<h4>To add pre-formatted text, use:</h4>
<ul>
<li>foo.txt</li>
</ul>
<h4>To add XHTML marked-up file, use:</h4>
<ul>
<li>foo.inc</li>
<li>foo.html</li>
</ul>
<h4>To add executable PHP file, use:</h4>
<ul>
<li>foo.inc.php</li>
<li>foo.php</li>
<li>foo.inc</li>
</ul>

<p>By default, when you access &quot;var/index.php&quot;, it laods &quot;default.inc.php&quot;. 
If you want to replace it with your original default file, please name it</p>
<ol>
<li><span class="red"><strong>default.inc.php</strong></span></li>
<li><span class="red"><strong>default.php</strong></span></li>
<li><span class="red"><strong>default.inc</strong></span></li>
<li><span class="red"><strong>default.html</strong></span></li>
<li><span class="red"><strong>default.txt</strong></span></li>
</ol>
<p>to load it correctly.</p>

<h3>SAMPLES</h3>
<p>This manual page is one of a SAMPLE page. If you chek URI of this page, you can see:</p>
<div class="command">
..../var/index.php?id=<span class="red">manual_en</span>
</div>
<p>and the substance of this page is &quot;manual_en.txt&quot; file in <strong>&quot;contents&quot; </strong>folder.</p>
<p>First, please write a simple page with basic XHTML tags LIKE:</p>
<div class="command">
<code>
<span class="blue">&lt;h1&gt;</span>TITLE<span class="blue">&lt;/h1&gt;</span><br />
<span class="blue">&lt;h2&gt;</span>SUB-TITLE<span class="blue">&lt;/h2&gt;</span><br />
<span class="blue">&lt;p&gt;</span>CONTENTS<span class="blue">&lt;br /&gt;</span><br />
CONTENTS AFTER LINE-BREAKS.<span class="blue">&lt;/p&gt;</span>
</code>
</div>
<p>If you want to use pre-formatted text file, just add <code>pre</code>tags in the beggining and in the end of the file LIKE:</p>
<div class="command">
<span class="blue">&lt;pre&gt;</span>
<pre>
body{
    color:#000000;
    background:#ffffff;
    font-size:12pt;
}
</pre>
<span class="blue">&lt;/pre&gt;</span>
</div>
<p>When you finished writing your file, name it as you like and save it with &quot;.txt&quot; extension, put it in the &quot;contents&quot; directory, and access to:</p>
<div class="command">
..../var/index.php?id=<span class="red">your_file</span>
</div>
<p>Your article is called by id. If you want to stock your files named by date like <span class="blue">&quot;20031103&quot;</span>, save it as <span class="blue">&quot;20031103.txt&quot;</span>and call it by:</p>
<div class="command">
..../var/index.php?id=<span class="red">20031103</span>
</div>
<p>Got it?</p>

<hr />

<h2>F.A.Q</h2>
<h3>Q1: Can I create more &quot;VARS&quot; directories under &quot;VARS&quot; ?</h3>
<h4>A1: Yes. It's extremely easy.</h4>
<p>If you want to create more directories under &quot;var&quot;, </p>
<ol>
<li>Just copy &quot;vars-sample&quot; directory and rename it as you like.</li>
<li>Open &quot;index.php&quot; with the text editor of your choice and edit &quot;USER CONFIG&quot;.</li>
<li>That's it!</li>
</ol>
<hr />