<h1><?= P_BLOG_VERSION ?> マニュアル</h1>
<hr />
<p class="flip-menu">
<a href="./index.php">TOP</a> <a href="./index.php?id=ja_00">索引</a> <span class="cur-tab">スタイルのカスタマイズ</span>
</p>
<hr />
<h2>スタイルのカスタマイズ</h2>
<h3>サンプルCSSをカスタマイズ</h3>
<p>P_BLOGは、デザインと構造を分離し、レイアウトやフォントなどの見た目のスタイルは
すべてCSSで制御する、という方向性で制作しています。
サンプルとしていくつかCSSを付属していますが、フォルダごと差し替えたり加えたりして簡単に
見た目をガラっと変えることが出来ますので、是非オリジナルCSSを作る事をお薦めします。</p>
<h3>オリジナルCSS : ファーストステップ</h3>
<p>手始めに「styles」フォルダの中に入っている番号のついたフォルダをフォルダごと複製して
カラーコードや幅のピクセル値などを変えてみて、カスタマイズしてみて下さい。
</p>
<p>CSS切り替えSwitcherセレクター用のタグコードはuser_config.inc.phpにあります。適応するCSSやその名称をカスタマイズする場合は、以下の配列コードを探して書き換えます。</p>
<div class="command">
<pre><span class="blue">$styles = array(
    "W3C Silk"    =&gt; "w3c_silk",
    "Simple"      =&gt; "simple",
    "Rich Green"  =&gt; "green");</span>
</pre>
</div>
<p>パターンは「<span class="blue">"名前" =&gt; "CSSフォルダ名"</span>」となっていますので、カスタマイズする場合はそれを考慮して書き換えて下さい。</p>
<h4><span class="red">注意</span></h4>
<p>各スタイルはカンマで区切りますが、一番最後のスタイルのあとには入れないように注意して下さい。</p>

<h3>オリジナルCSS : セカンドステップ</h3>
<p>各CSSのclassがどのような階層になっているかは、XHTML構造 - CSS クラス早見表を参照下さい。&nbsp;&rarr;&nbsp;<a href="./index.php?id=xhtml_class_ja">P_BLOG XHTML構造-CSSクラス早見表 </a></p>

<h3>ブラウザ別CSS</h3>
<p>P_BLOGは、ブラウザを判別して別々のCSSを適用する機能が備わっています。適用されるブラウザとそれぞれのCSSの名称は以下の通りです。</p>
<ul>
<li><strong><span class="red">default.css </span></strong><br />
(全てのブラウザ用。必須。)</li>
<li><strong><span class="blue">gecko_style.css </span></strong><br />
(Geckoレンダリングエンジンを搭載したブラウザ用。Mozilla/Camino/Firefoxなど)</li>
<li><strong><span class="blue">khtml_style.css </span></strong><br />
(KHTMLレンダリングエンジンを搭載したブラウザ用。Safari 1.0〜, OmniWeb4.5〜, Konquerorなど)</li>
<li><strong><span class="blue">win_ie_style.css</span></strong><br />
(Windows IE用。)</li>
</ul>
<p>基本的には<strong><span class="red">default.css </span></strong>を入れておけばOKですが、ブラウザごとにデザインを微調整したい場合、それぞれ上に示した名前のCSSを作成してCSSフォルダのdefault.cssと同一階層に追加しておくと、指定ブラウザのみそのCSSが適用されるようになります。それぞれの適用具合は、例えばMozillaでアクセスすると、</p>
<ol>
<li><strong><span class="blue">gecko_style.css </span></strong>を探して適用</li>
<li>なければ、<strong><span class="blue">default.css </span></strong>を探して適用</li>
<li>それもなければCSSはオフ。</li>
</ol>
<p>という流れになります。</p>
<h3>P_BLOGのCSSクラスの構成は？</h3>
<p><a href="./contents/xhtml_class_chart.html">P_BLOG XHTML構造CSSクラス早見表</a>をご参照ください。</p>
<hr />